=== debian/changelog ===
proofgeneral (4.2~pre120206-1) unstable; urgency=low

  * new upstream prerelease (Closes: #642048)
  * moved to section editors 
  * standards version 3.9.3
  * fix compilation with emacs-nox (Closes: #660353)
  * don't support broken PhoX anymore (Closes: #544436)

 -- Hendrik Tews <hendrik@askra.de>  Tue, 28 Feb 2012 12:53:12 +0100
