=== debian/watch ===
# See uscan(1) - scan/watch upstream sources for new releases of software

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://proofgeneral.inf.ed.ac.uk/releases/ProofGeneral-([0-9].*)\.tgz
