## proofgeneral 4.2~pre120605

=== Makefile ===
--- 
+++ 
@@ -15,14 +15,14 @@
 ## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## $Id: Makefile,v 12.1 2012/01/10 13:03:24 da Exp $
+## $Id: Makefile,v 12.3 2012/03/05 18:52:34 tews Exp $
 ## 
 ###########################################################################
 
 # Set this according to your version of Emacs.
 # NB: this is also used to set default install path names below.
 EMACS=$(shell if [ -z "`which emacs`" ]; then echo "Emacs executable not found"; exit 1; else echo emacs; fi)
-# EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
+# EMACS=/Applications/Emacs\ 23.4.app/Contents/MacOS/Emacs
 
 # We default to /usr rather than /usr/local because installs of
 # desktop and doc files under /usr/local are unlikely to work with
@@ -30,12 +30,14 @@
 # individually before the install section.
 # NB: DEST_PREFIX is used for final destination prefix, in case we're
 # packaging into a build prefix rather than live root (e.g. in rpmbuild).
-PREFIX=/usr
-DEST_PREFIX=/usr
+# NBB: DESTDIR provides for staged installs, for instance when building 
+# Debian packages, see http://www.gnu.org/prep/standards/html_node/DESTDIR.html
+PREFIX=$(DESTDIR)/usr
+DEST_PREFIX=$(DESTDIR)/usr
 
 PWD=$(shell pwd)
 
-PROVERS=acl2 ccc coq hol98 isar lego pgshell phox
+PROVERS=acl2 ccc coq hol98 isar lego hol-light phox pgshell pgocaml pghaskell
 OTHER_ELISP=generic lib contrib/mmm
 ELISP_DIRS=${PROVERS} ${OTHER_ELISP}
 ELISP_EXTRAS=isar/interface isar/isartags
