=== debian/changelog ===
proofgeneral (4.2~pre120605-2) unstable; urgency=low

  * add Breaks and Replaces dependencies for proofgeneral-doc (Closes: #694285)
  * delete wrong info in README.Debian

 -- Hendrik Tews <hendrik@askra.de>  Tue, 04 Dec 2012 14:50:27 +0100

proofgeneral (4.2~pre120605-1) unstable; urgency=low

  * New upstream release (Closes: #669318)
  * fix byte-compile-error-on-warn in emacsen-install, --no-site-file has
    been dropped already in 4.2~pre120411-2 (Closes: #671583)
  * use debian-emacs-flavor in emacsen-startup (see #662163)
  * delete patch disable-proof-tree, add patch smartly-enable-prooftree
    for enabling prooftree if Coq >= 8.4beta is detected
  * fix package description
  * add hints on Prooftree and incompatibility with manual Coq
    installations to README.Debian
  * new patch for using debian-pkg-add-load-path-item (see #670339), but
    don't use it, because debian-pkg-add-load-path-item breaks Proof
    General, see #676424

 -- Hendrik Tews <hendrik@askra.de>  Wed, 06 Jun 2012 23:12:58 +0200

proofgeneral (4.2~pre120411-2) unstable; urgency=low

  * link el files into ELCDIR (Closes: #670341)
  * link image files in emacsen-install
  * fix flavor in emacsen-startup (see #662163)

 -- Hendrik Tews <hendrik@askra.de>  Wed, 25 Apr 2012 22:57:47 +0200

proofgeneral (4.2~pre120411-1) unstable; urgency=low

  * New upstream release
  * remove 3 patches that have been applied upstream

 -- Hendrik Tews <hendrik@askra.de>  Sat, 21 Apr 2012 23:28:59 +0200
