=== debian/control ===
--- 
+++ 
@@ -17,13 +17,16 @@
  assistant to write formal mathematical proofs using a variety of
  theorem provers. 
  .
- This package provides the Proof General support for Coq, PhoX and LEGO.
+ This package provides Proof General support for Coq. (There is no
+ other proof assistant that one could sensibly support.)
 
 
 Package: proofgeneral-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: proofgeneral (<< 4)
+Replaces: proofgeneral (<< 4)
 Recommends: info-browser | pdf-viewer | www-browser
 Suggests: proofgeneral
 Description: generic frontend for proof assistants - documentation
@@ -31,5 +34,5 @@
  assistant to write formal mathematical proofs using a variety of
  theorem provers. 
  .
- This package provides Proof General user manual in info, html and pdf
- form.
+ This package provides the Proof General user manual in info, html and
+ pdf form.
