## proofgeneral 4.3~pre130510

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## $Id: Makefile,v 12.3 2012/03/05 18:52:34 tews Exp $
+## $Id: Makefile,v 12.5 2013/01/15 21:48:49 tews Exp $
 ## 
 ###########################################################################
 
@@ -113,7 +113,7 @@
 ## Remove generated targets
 ##
 clean:	cleanpgscripts
-	rm -f $(ELC) *~ */*~ .\#* */.\#* */.autotest.log */.profile.log
+	rm -f $(ELC) .\#* */.\#* */.autotest.log */.profile.log
 	(cd doc; $(MAKE) clean)
 
 distclean: clean
