=== debian/changelog ===
proofgeneral (4.3~pre130510-1) unstable; urgency=low

  * New upstream release (Closes: #707331)
  * improve watch file (thanks to Bart Martens for the uversionmangle hint)
  * add new patch to install coq example and add hint in tutorial 
    (Closes: #687977) 
  * add new patch fix-texinfo-5-1-bug to fix a problem with texinfo 5.1
  * add new patch pg-image-bug to rename ProofGeneral.jpg
  * permit emacs24
  * update README.Debian
  * bump standards version to 3.9.4
  * debhelper compat level 9

 -- Hendrik Tews <hendrik@askra.de>  Wed, 15 May 2013 17:11:19 +0200
