=== debian/changelog ===
proofgeneral (4.3~pre131011-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove {build,runtime} alternative dependencies on emacs23*:
    Emacs 23 is not in testing/sid anymore, and sbuild always picks
    the first alternative, which made the package FTBFS (Closes: #768619).

 -- intrigeri <intrigeri@debian.org>  Sun, 16 Nov 2014 17:46:59 +0100

proofgeneral (4.3~pre131011-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/patches
    - drop fix-texinfo-5-1-bug.patch: unnecessary anymore
    - drop pg-image-bug.patch: unnecessary (cause FTBFS)

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Aug 2014 22:03:50 +0900

proofgeneral (4.3~pre130510-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends: texlive-fonts-recommended" to fix FTBFS
     (Closes: #738392)
    - remove unnecessary "Build-Depends: texi2html" due to transtion
      (see https://wiki.debian.org/Texi2htmlTransition)
  * debian/patches
    - add transition_to_makeinfo.patch to use makeinfo, instead of texi2html
  * also update debian/proofgeneral-doc.doc-base to deal with changes with
    above

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Feb 2014 19:57:15 +0900
