=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Hendrik Tews <hendrik@askra.de>
-Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid | emacs24-nox | emacs24 | emacs24-lucid
+Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texlive-fonts-recommended, emacs24-nox | emacs24 | emacs24-lucid
 Standards-Version: 3.9.4
 Homepage: http://proofgeneral.inf.ed.ac.uk
 
 Package: proofgeneral
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid | emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
 Suggests: proofgeneral-doc
 Replaces: proofgeneral-coq, proofgeneral-misc
 Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
