=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##
 ## Maintainer:  Proof General maintainer <da+proofgen@inf.ed.ac.uk>
 ##
-## Makefile,v 12.0 2011/10/13 10:54:47 da Exp
+## $Id$
 ## 
 ###########################################################################
 ##
