=== debian/changelog ===
proofgeneral (4.4.1~pre170114-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-plain-generic instead of
    texlive-generic-recommended. Thanks to Steve Langasek for
    patch. (Closes: #941544)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 16 Dec 2019 17:50:59 +0100

proofgeneral (4.4.1~pre170114-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Switch to unversioned emacs-gtk package (Closes: #880285)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 10:15:05 +0200

proofgeneral (4.4.1~pre170114-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1~pre170114
    git hash 6d1f608c6e7c39eff89b9461a2f4ea7ff1b19899
  * fix lintian copyright issue
  * add patch fix-coqtags and install coqtags
  * add emacsen compat file (Closes: #758968)
  * add patch desktop-keyword-entry for desktop-entry-lacks-keywords-entry
    lintian warning
  * disable StartupWMClass towards a solution of #746466
  * fix emacs warning inside emacsen-install

 -- Hendrik Tews <hendrik@askra.de>  Mon, 16 Jan 2017 17:30:55 +0100

proofgeneral (4.4.1~pre161230-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Make package work with emacs24 or emacs25 (Closes: #846990).
  * debian/control: Remove ${shlib:Depends} for package proofgeneral.
  * Drop debian/menu, following tech-ctte decision on #741573.
  * debian/README.Debian: Remove special note about prooftree, which
    is now a proper Debian package, and added HOL Light as prover.
  * debian/*: Adapt to new upstream home at github.
  * debian/patches/:
    - drop smartly-enable-prooftree
    - restrict-installed-provers.patch: added hol-light as prover
    - refresh all others

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 30 Dec 2016 22:22:22 +0100
