=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: editors
 Priority: optional
 Maintainer: Hendrik Tews <hendrik@askra.de>
-Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texlive-fonts-recommended, emacs24-nox | emacs24 | emacs24-lucid
-Standards-Version: 3.9.4
-Homepage: http://proofgeneral.inf.ed.ac.uk
+Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-plain-generic, texlive-fonts-recommended, emacs-gtk
+Standards-Version: 3.9.8
+Homepage: https://proofgeneral.github.io/
 
 Package: proofgeneral
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
-Suggests: proofgeneral-doc
+Depends: ${misc:Depends}, emacs-gtk, mmm-mode
+Suggests: proofgeneral-doc, prooftree
 Replaces: proofgeneral-coq, proofgeneral-misc
 Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
 Description: generic frontend for proof assistants
