=== debian/watch ===
# See uscan(1) - scan/watch upstream sources for new releases of software

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/([.0-9]+)RC(\d)/$1rc$2/;s/([.0-9]+)((rc|pre)\d+)$/$1~$2/ \
http://proofgeneral.inf.ed.ac.uk/releases/ProofGeneral-([0-9].*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
